<template>
    <header class="header__wrapper p-3">
        <div class="navbar bg-base-200 rounded-lg shadow-lg">
            <div class="flex-1">
                <div class="btn btn-ghost text-xl">Image Converter</div>
            </div>
            <div class="flex-none">
                <ul class="menu menu-horizontal px-1">
                    <li>
                        <a class="btn btn-ghost hover:text-accent-content" href="https://caniuse.com/webp" target="_blank">Can i use WEBP</a>
                    </li>
                </ul>
                <button class="btn btn-square btn-ghost" @click="goToGitlab" title="Gitlab repo">
                    <img src="@/assets/svg/gitlab-icon.svg" class="inline-block w-5 h-5 stroke-current" alt="gitlab">
                </button>
            </div>
        </div>
    </header>
</template>
<script setup lang="ts">
const openInNewWindow = (url: string) => {
    window.open(url, '_blank');
};

const goToGitlab = () => {
    openInNewWindow('https://gitlab.com/a.vahitov/image-converter');
};
</script>
